//------------------------------------------------------------------
//
//
//------------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers  2
#property indicator_color1   clrSilver
#property indicator_color2   clrSilver
#property indicator_width1   2
#property indicator_width2   2
#property strict


extern int    FirstBufferNumber  = 2; // Fisrt buffer number
extern int    SecondBufferNumber = 3; // Second buffer number
extern string IndicatorName      = "Chaos Visual averages 1.4"; // Indicator name to use

double Buffer1[],Buffer2[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//
int init() 
{
   SetIndexBuffer(0 ,Buffer1);
   SetIndexBuffer(1 ,Buffer2);
   IndicatorShortName("Exploring buffers ("+(string)FirstBufferNumber+","+(string)SecondBufferNumber+") of "+IndicatorName);
   return(0);
}

//
//
//
//
//

int start() 
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
   for(int i=limit; i>=0; i--)
   {
      if (FirstBufferNumber >=0) Buffer1[i] = iCustom(NULL,0,IndicatorName,FirstBufferNumber ,i);
      if (SecondBufferNumber>=0) Buffer2[i] = iCustom(NULL,0,IndicatorName,SecondBufferNumber,i);
   }
   return(0); 
}
